%define major 1
%define libname %mklibname xfontcache %{major}
%define devname %mklibname xfontcache -d
%define sdevname %mklibname xfontcache -d -s

Summary:	The Xfontcache library
Name:		libxfontcache
Version:	1.0.5
Release:	10
License:	MIT
Group:		System/Libraries
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
BuildRequires:	x11-util-macros
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)

%description
The Xfontcache library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:	The Xfontcache shared library
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
The Xfontcache shared library.

%files -n %{libname}
%{_libdir}/libXfontcache.so.%{major}*

#-----------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Requires:	x11-proto-devel
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{_lib}xfontcache1-devel < 1.0.5-8
Obsoletes:	%{_lib}xfontcache1-devel < 1.0.5-8

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/libXfontcache.so
%{_libdir}/pkgconfig/xfontcache.pc
%{_mandir}/man3/FontCache*
%{_mandir}/man3/Xfontcache*

#-----------------------------------------------------------

%package -n %{sdevname}
Summary:	Static development files for %{name}
Group:		Development/X11
Requires:	%{devname} = %{EVRD}
Provides:	libxfontcache-static-devel = %{EVRD}
Conflicts:	%{_lib}xfontcache1-static-devel < 1.0.5-8
Obsoletes:	%{_lib}xfontcache1-static-devel < 1.0.5-8

%description -n %{sdevname}
Static development files for %{name}.

%files -n %{sdevname}
%{_libdir}/libXfontcache.a

#-----------------------------------------------------------

%prep
%setup -qn libXfontcache-%{version}

%build
%configure2_5x \
	--x-includes=%{_includedir}\
	--x-libraries=%{_libdir}

%make

%install
%makeinstall_std


%changelog

* Thu Sep 24 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0.5-10
- (a0a932c) Release up


